commit:     1fc9d2b69c7d60198c40cc868dfbe05e33dcfb28
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 17 13:37:10 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 17 13:41:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc9d2b6

dev-python/sphinxcontrib-asyncio: Fix namespace cleanup

Closes: https://bugs.gentoo.org/625872

 ...0.2.0-r1.ebuild => sphinxcontrib-asyncio-0.2.0-r2.ebuild} | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git 
a/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r1.ebuild 
b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
similarity index 80%
rename from 
dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r1.ebuild
rename to dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
index fe969fc8bba..ef4858611d7 100644
--- a/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r1.ebuild
+++ b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -26,14 +26,14 @@ python_compile_all() {
        use doc && emake -C docs html
 }
 
+python_install() {
+       rm "${BUILD_DIR}"/lib/sphinxcontrib/__init__.py || die
+       distutils-r1_python_install --skip-build
+}
+
 python_install_all() {
        use doc && local HTML_DOCS=( docs/_build/html/. )
        distutils-r1_python_install_all
        # clean up pth files bug #623852
        find "${ED}" -name '*.pth' -delete || die
-       # collision bug #625872
-       _namespace_cleanup() {
-               rm "${D%/}"$(python_get_sitedir)/sphinxcontrib/__init__.py || 
die
-       }
-       python_foreach_impl _namespace_cleanup
 }

Reply via email to